#ifndef _BASICLOGEXAMPLE_H
#define _BASICLOGEXAMPLE_H

#include <DsLogAdminC.h>
#include <tao/corba.h>
#include <ace/OS.h>

#include "macro.h"

class BasicLogExample
{
  public:

    BasicLogExample (CORBA::ORB_var orbVar);

    ~BasicLogExample ();

    DsLogAdmin::BasicLog_ptr createLog ();

    void writeLog (DsLogAdmin::BasicLog_ptr log);

    void queryLog (DsLogAdmin::BasicLog_ptr log);

  protected:

  private:

    CORBA::ORB_var orbVar_;
    DsLogAdmin::BasicLogFactory_var basicLogFactoryVar_;
};

#endif // _BASICLOGEXAMPLE_H
