#ifndef _TRADINGVIDEOSUPPLIER_H
#define _TRADINGVIDEOSUPPLIER_H

#include <CosTradingS.h>
#include <CosTradingC.h>
#include <CosTradingReposS.h>
#include <CosTradingReposC.h>

#include "Common/ObjectAdapter.h"
#include "VideoCompany.h"
#include "VideoServiceProvider.h"
#include "VideoSupplier.h"

#include <tao/corba.h>
#include <tao/PortableServer/PortableServer.h>
#include <ace/OS.h>

#include "macro.h"

#ifndef OPENFUSION_VIDEO_DLL
#define OPENFUSION_VIDEO_DLL
#endif

class OPENFUSION_VIDEO_DLL TradingVideoSupplier : public VideoSupplier
{
  public:

    TradingVideoSupplier (const char *name, const CORBA::Boolean store = 1);

    virtual ~TradingVideoSupplier ();

    virtual CORBA::Object_var getServant ();

    CORBA::Boolean exportOffer (CosTrading::Lookup_ptr lookup);

  protected:

  private:
};

#endif  // _TRADINGVIDEOSUPPLIER_H
