#ifndef _VIDEOCOMPANY_H
#define _VIDEOCOMPANY_H

#include "Common/ServerS.h"
#include "Common/ServerC.h"

#include <tao/corba.h>
#include <ace/OS.h>

#include "macro.h"

#ifndef OPENFUSION_VIDEO_DLL
#define OPENFUSION_VIDEO_DLL
#endif

class OPENFUSION_VIDEO_DLL VideoCompany : public POA_Server::Company
{
  public:

    VideoCompany (const char *name, const char *type);

    ~VideoCompany ();

    char *getName ()
      ACE_THROW_SPEC ((CORBA::SystemException));

    virtual Server::OfferList *getOffers (const char *)
      ACE_THROW_SPEC ((CORBA::SystemException))
    {
      return 0;
    }

    char *getType ()
      ACE_THROW_SPEC ((CORBA::SystemException));

    Server::Company_var getCompanyCORBARef ();

  protected:

  private:

    char name_[40];

    char type_[40];
};

#endif  // _VIDEOCOMPANY_H
