//=============================================================================
/**
 *  @file   OS_String.cpp
 *
 *  $Id: OS_String.cpp,v 1.1.1.1 2006-05-11 14:15:21 sm Exp $
 *
 *  @brief  Contains definitions for class ACE_OS_String.
 */
//=============================================================================

#include "ace/OS_String.h"
#include "ace/OS_Memory.h"

ACE_RCSID (ace, OS_String, "$Id: OS_String.cpp,v 1.1.1.1 2006-05-11 14:15:21 sm Exp $")

#if !defined (ACE_HAS_INLINED_OSCALLS)
# include "ace/OS_String.inl"
#endif /* ACE_HAS_INLINED_OS_CALLS */

#if defined (ACE_LACKS_WCSDUP_PROTOTYPE)
extern "C" wchar_t *wcsdup __P ((__const wchar_t *__s));
#endif /* ACE_LACKS_WCSDUP_PROTOTYPE */

