// -*- C++ -*-

/**
 * @file Swap.inl
 *
 * $Id: Swap.inl,v 1.1.1.1 2006-05-11 14:15:23 sm Exp $
 *
 * @author Carlos O'Ryan <coryan@uci.edu>
 */

ACE_BEGIN_VERSIONED_NAMESPACE_DECL

template<class T> ACE_INLINE void
ACE_Swap<T>::swap (T &lhs, T& rhs)
{
  T tmp = lhs;
  lhs = rhs;
  rhs = tmp;
}

ACE_END_VERSIONED_NAMESPACE_DECL
