// $Id: CSD_TP_Corba_Request.cpp,v 1.1.1.1.8.1 2008-05-21 14:03:30 sm Exp $

#include "tao/CSD_ThreadPool/CSD_TP_Corba_Request.h"

#include "tao/PortableServer/POA_Current_Impl.h"
#include "tao/PortableServer/Root_POA.h"

ACE_RCSID (CSD_ThreadPool,
           TP_Corba_Request,
           "$Id: CSD_TP_Corba_Request.cpp,v 1.1.1.1.8.1 2008-05-21 14:03:30 sm Exp $")

#if !defined (__ACE_INLINE__)
# include "tao/CSD_ThreadPool/CSD_TP_Corba_Request.inl"
#endif /* ! __ACE_INLINE__ */

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO::CSD::TP_Corba_Request::~TP_Corba_Request()
{
}

void
TAO::CSD::TP_Corba_Request::do_dispatch(ACE_ENV_SINGLE_ARG_DECL)
{
  // Can't get object key or priority but we've got enough for
  // minimal CORBA compliance.
  TAO::ObjectKey dummy;
  TAO_Root_POA* poa = dynamic_cast <TAO_Root_POA*> (poa_.in ());
  Portable_Server::POA_Current_Impl poa_context;

  poa_context.setup (poa,
                     dummy);
  poa_context.servant (this->servant ());
  poa_context.object_id (this->object_id_);

  try
    {
      this->server_request_.dispatch(this->servant());
    }
  catch (...)
    {
      poa_context.teardown ();
      throw;
    }

  poa_context.teardown ();
}

TAO_END_VERSIONED_NAMESPACE_DECL
