// $Id: Transport_Timer.cpp,v 1.1.1.1 2006-05-11 14:15:07 sm Exp $

#include "tao/Transport_Timer.h"
#include "tao/Transport.h"

ACE_RCSID (tao, 
           Transport_Timer, 
           "$Id: Transport_Timer.cpp,v 1.1.1.1 2006-05-11 14:15:07 sm Exp $")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_Transport_Timer::TAO_Transport_Timer (TAO_Transport *transport)
  : transport_ (transport)
{
}

int
TAO_Transport_Timer::handle_timeout (const ACE_Time_Value &current_time,
                                     const void *act)
{
  return this->transport_->handle_timeout (current_time, act);
}

TAO_END_VERSIONED_NAMESPACE_DECL
