#ifndef _NAMINGVIDEOSUPPLIER_H
#define _NAMINGVIDEOSUPPLIER_H

#include "CosNamingC.h"
#include "CosNamingS.h"

#include "Common/ObjectAdapter.h"
#include "VideoCompany.h"
#include "VideoServiceProvider.h"
#include "VideoSupplier.h"

#include <tao/corba.h>
#include <tao/PortableServer/PortableServer.h>
#include <ace/OS.h>

#include "macro.h"

class OPENFUSION_VIDEO_DLL NamingVideoSupplier : public VideoSupplier
{
  public:

    NamingVideoSupplier (const char *name, CORBA::Boolean store = 1);

    ~NamingVideoSupplier ();

    virtual CORBA::Object_var getServant ();

    CORBA::Boolean bind (const CosNaming::NamingContext_ptr inc);

  protected:
  
  private:
};

#endif  // _NAMINGVIDEOSUPPLIER_H
