#ifndef _VIDEOCOMPANY_H
#define _VIDEOCOMPANY_H

#include "Common/ServerS.h"
#include "Common/ServerC.h"

#include <tao/corba.h>
#include <ace/OS.h>


class VideoCompany : public POA_Server::Company
{
  public:

    VideoCompany (const char *name, const char *type);

    ~VideoCompany ();

    char *getName ()
      ACE_THROW_SPEC ((CORBA::SystemException));

    Server::OfferList *getOffers (const char *category)
      ACE_THROW_SPEC ((CORBA::SystemException)) = 0;

    char *getType() {return type_;}

    Server::Company_var getCompanyCORBARef () {return _this ();}

  protected:

  private:

    char name_[40];

    char type_[40];
};

#endif  // _VIDEOCOMPANY_H
