#ifndef _MAILSERVERIMPL_H
#define _MAILSERVERIMPL_H

#include "MailS.h"
#include <CosNotifyChannelAdminS.h>
#include <CosNotificationS.h>

#include "MailBoxImpl.h"
#include "ChannelUtil.h"

class MailServerImpl : public POA_Mail::MailServer
{
  public:

    MailServerImpl (CORBA::ORB_var orbVar, ChannelUtil *pUtil);

    ~MailServerImpl ();

    void createAccount (const char *name) ACE_THROW_SPEC ((Mail::AccountExists));

    void deleteAccount (const char *name) ACE_THROW_SPEC ((Mail::NoSuchAccount));

  protected:

  private:

    CORBA::ORB_var orbVar_;

    ChannelUtil *pUtil_;
};

#endif // _MAILSERVERIMPL_H
