/*
 * Provides the definition of a generic company.
 */

#include "VideoCompany.h"


VideoCompany::VideoCompany (const char *name, const char *type)
{
  ACE_OS::strncpy (name_, name, sizeof (name_) - 1);
  name_[sizeof (name_) - 1]= '\0';
  ACE_OS::strncpy (type_, type, sizeof (type) - 1);
  type_[sizeof (type_) - 1]= '\0';
}

VideoCompany::~VideoCompany ()
{
}

char *
VideoCompany::getName ()
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  return name_;
}

char *
VideoCompany::getType ()
  ACE_THROW_SPEC ((CORBA::SystemException))
{
  return type_;
}

Server::Company_var
VideoCompany::getCompanyCORBARef ()
{
  return _this ();
}
