// $Id: ConfigValue.cpp,v 1.1.4.2 2007-08-28 12:30:08 tao Exp $
#include "ConfigValue.h"

ACE_RCSID (ciao,
           ConfigValue,
           "$Id: ConfigValue.cpp,v 1.1.4.2 2007-08-28 12:30:08 tao Exp $")

namespace CIAO
{
   ConfigValue_impl::ConfigValue_impl()
   {
      CORBA::Any any;
      any <<= CORBA::Short(0);
      name((const char*)"");
      value(any);
   }


   ConfigValue_impl::ConfigValue_impl(const char*       the_name,
                                      const CORBA::Any& the_value)
      : OBV_Components::ConfigValue()
   {
      CORBA::Any any = the_value;
      name( the_name );
      value( any );
   }

   CORBA::ValueBase* ConfigValue_impl::_copy_value()
   {
      return new ConfigValue_impl(name(),value());
   }

   ConfigValue_impl::~ConfigValue_impl()
      throw ()
   {
   }

   CORBA::ValueBase *
   ConfigValueFactory::create_for_unmarshal ()
   {
      return new ConfigValue_impl();
   }
}
