// $Id: Codeset_Manager_Factory_Base.cpp,v 1.1.1.1 2006-05-11 14:15:07 sm Exp $

#include "tao/ORB_Core.h"
#include "tao/Codeset_Manager.h"
#include "tao/Codeset_Manager_Factory_Base.h"

ACE_RCSID (tao,
           Codeset_Manager_Factory_Base,
           "$Id: Codeset_Manager_Factory_Base.cpp,v 1.1.1.1 2006-05-11 14:15:07 sm Exp $")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_Codeset_Manager_Factory_Base::~TAO_Codeset_Manager_Factory_Base (void)
{
}

int
TAO_Codeset_Manager_Factory_Base::is_default (void) const
{
  return 1;
}

TAO_Codeset_Manager *
TAO_Codeset_Manager_Factory_Base::create (void)
{
  return 0;

}

int
TAO_Codeset_Manager_Factory_Base::initialize (void)
{
  return ACE_Service_Config::process_directive
    (ace_svc_desc_TAO_Codeset_Manager_Factory_Base);
}

TAO_END_VERSIONED_NAMESPACE_DECL

static int
TAO_Requires_Codeset_Manager_Factory_Base =
TAO_Codeset_Manager_Factory_Base::initialize ();

ACE_FACTORY_DEFINE (TAO, TAO_Codeset_Manager_Factory_Base)
ACE_STATIC_SVC_DEFINE (TAO_Codeset_Manager_Factory_Base,
                       ACE_TEXT ("TAO_Codeset"),
                       ACE_SVC_OBJ_T,
                       &ACE_SVC_NAME (TAO_Codeset_Manager_Factory_Base),
                       ACE_Service_Type::DELETE_THIS | ACE_Service_Type::DELETE_OBJ,
                       0)
